MagicMirror² v2.5.0 is available! For more information about this release, check out this topic.

Problems with updating MagicMirror



  • Hi,

    tried to update my MM-installation from 04/2018 to the latest version…

    There a a lot of warnings and errors… could someone tell me how to update successfully without any warnings/errors ?

    (node:18232) [DEP0022] DeprecationWarning: os.tmpDir() is deprecated. Use os.tmpdir() instead.
    npm WARN package.json array-unique@0.2.1 license should be a valid SPDX license expression
    npm WARN package.json base64-arraybuffer@0.1.5 No license field.
    npm WARN package.json JSV@4.0.2 'repositories' (plural) Not supported. Please pick one as the 'repository' field
    npm WARN package.json JSV@4.0.2 No license field.
    npm WARN package.json bcrypt-pbkdf@1.0.1 No repository field.
    npm WARN package.json better-assert@1.0.2 No license field.
    npm WARN package.json blob@0.0.4 No license field.
    npm WARN package.json callsite@1.0.0 No repository field.
    npm WARN package.json callsite@1.0.0 No license field.
    npm WARN package.json component-bind@1.0.0 No license field.
    npm WARN package.json component-inherit@0.0.3 No license field.
    npm WARN package.json console-browserify@1.1.0 No license field.
    npm WARN package.json css-value@0.0.1 No license field.
    npm WARN package.json current-week-number@1.0.7 license should be a valid SPDX license expression
    npm WARN package.json date-now@0.1.4 No license field.
    npm WARN package.json deep-is@0.1.3 license should be a valid SPDX license expression
    npm WARN package.json dev-null@0.1.1 license should be a valid SPDX license expression
    npm WARN package.json domelementtype@1.3.0 No license field.
    npm WARN package.json domhandler@2.3.0 No license field.
    npm WARN package.json domutils@1.5.1 No license field.
    npm WARN package.json entities@1.1.1 license should be a valid SPDX license expression
    npm WARN package.json esquery@1.0.0 license should be a valid SPDX license expression
    npm WARN package.json esutils@2.0.2 No license field.
    npm WARN package.json exit@0.1.2 No license field.
    npm WARN package.json findup-sync@0.3.0 No license field.
    npm WARN package.json foreachasync@3.0.0 license should be a valid SPDX license expression
    npm WARN package.json getobject@0.1.0 No license field.
    npm WARN package.json glob-base@0.3.0 license should be a valid SPDX license expression
    npm WARN package.json has-binary2@1.0.2 No repository field.
    npm WARN package.json hooker@0.2.3 No license field.
    npm WARN package.json indexof@0.0.1 No repository field.
    npm WARN package.json indexof@0.0.1 No license field.
    npm WARN package.json is-primitive@2.0.0 license should be a valid SPDX license expression
    npm WARN package.json json-schema@0.2.3 No license field.
    npm WARN package.json json3@3.3.2 No license field.
    npm WARN package.json jsonlint@1.6.2 No license field.
    npm WARN package.json nomnom@1.8.1 No license field.
    npm WARN package.json nugget@2.0.1 license should be a valid SPDX license expression
    npm WARN package.json object-component@0.0.3 No repository field.
    npm WARN package.json object-component@0.0.3 No license field.
    npm WARN package.json optimist@0.6.1 license should be a valid SPDX license expression
    npm WARN package.json postcss-resolve-nested-selector@0.1.1 No repository field.
    npm WARN package.json prelude-ls@1.1.2 No license field.
    npm WARN package.json preserve@0.2.0 license should be a valid SPDX license expression
    npm WARN package.json punycode@1.4.1 punycode is also the name of a node core module.
    npm WARN package.json querystring@0.2.0 querystring is also the name of a node core module.
    npm WARN package.json querystring@0.2.0 No license field.
    npm WARN package.json range_check@1.4.0 license should be a valid SPDX license expression
    npm WARN package.json repeat-element@1.1.2 license should be a valid SPDX license expression
    npm WARN package.json rrule-alt@2.2.8 No license field.
    npm WARN package.json rx-lite@4.0.8 No license field.
    npm WARN package.json rx-lite-aggregates@4.0.8 No license field.
    npm WARN package.json source-map@0.1.43 No license field.
    npm WARN package.json speedometer@0.1.4 No license field.
    npm WARN package.json string_decoder@0.10.31 string_decoder is also the name of a node core module.
    npm WARN package.json svg-tags@1.0.0 No license field.
    npm WARN package.json shelljs@0.3.0 license should be a valid SPDX license expression
    npm WARN package.json to-array@0.1.4 No license field.
    npm WARN package.json trim@0.0.1 No repository field.
    npm WARN package.json trim@0.0.1 No license field.
    npm WARN package.json underscore@1.6.0 No license field.
    npm WARN package.json url@0.11.0 url is also the name of a node core module.
    npm WARN package.json url-template@2.0.8 license should be a valid SPDX license expression
    npm WARN package.json valid-url@1.0.9 No license field.
    npm WARN package.json wgxpath@1.0.0 No license field.
    npm WARN package.json x-is-string@0.1.0 No license field.
    npm WARN package.json xmlhttprequest-ssl@1.5.5 No license field.
    npm WARN package.json xtend@2.1.2 No license field.
    npm ERR! Error: Method Not Allowed
    npm ERR!     at errorResponse (/usr/share/npm/lib/cache/add-named.js:260:10)
    npm ERR!     at /usr/share/npm/lib/cache/add-named.js:203:12
    npm ERR!     at saved (/usr/share/npm/node_modules/npm-registry-client/lib/get.js:167:7)
    npm ERR!     at FSReqWrap.oncomplete (fs.js:135:15)
    npm ERR! If you need help, you may report this *entire* log,
    npm ERR! including the npm and node versions, at:
    npm ERR!     
    
    npm ERR! System Linux 4.14.69-v7+
    npm ERR! command "/usr/bin/node" "/usr/bin/npm" "install"
    npm ERR! cwd /home/pi/MagicMirror
    npm ERR! node -v v8.11.1
    npm ERR! npm -v 1.4.21
    npm ERR! code E405
    npm ERR! 
    npm ERR! Additional logging details can be found in:
    npm ERR!     /home/pi/MagicMirror/npm-debug.log
    npm ERR! not ok code 0